## ratproxy 1.58%2Bdfsg

=== Makefile ===
#
# ratproxy - Makefile
# -------------------
#
# Author: Michal Zalewski <lcamtuf@google.com>
#
# Copyright 2007, 2008 by Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

PROGNAME = ratproxy
CFLAGS	 = -Wall -O3 -Wno-pointer-sign -D_GNU_SOURCE
LDFLAGS  = -lcrypto -lssl

all: $(PROGNAME) flare-check

$(PROGNAME): $(PROGNAME).c http.c mime.c ssl.c http.h mime.h ssl.h nlist.h config.h debug.h types.h string-inl.h
	$(CC) $(PROGNAME).c -o $(PROGNAME)  $(CFLAGS) http.c mime.c ssl.c $(LDFLAGS)

flare-check:
	@flare-dist/flare 2>&1 | grep -qF Igor || ( \
	  echo; \
	  echo '*** WARNING: 'flare-dist/flare' bianry is not operational.'; \
	  echo '*** Please see flare-dist/README and update it for your OS.'; \
	  echo )

clean:
	rm -f $(PROGNAME) *.exe *.o *~ a.out core core.[1-9][0-9]* *.stackdump

## ratproxy 1.58+dfsg

=== debian/changelog ===
ratproxy (1.58+dfsg-3build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 11:44:19 +0100

ratproxy (1.58+dfsg-3) unstable; urgency=low

  * [27c2bfb] Fix SSL proxying by including the ssl certificate
    (LP: #544097)
  * [dca3f0d] Switch to my debian address and remove DM-Upload-
    Allowed.
  * [b399fa3] Standards version 3.8.4 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sun, 18 Apr 2010 20:40:07 +0200

ratproxy (1.58+dfsg-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
  * Standards version 3.8.3 (no changes needed)
  * Change section per the archive override

 -- Iustin Pop <iusty@k1024.org>  Fri, 25 Dec 2009 09:38:41 +0100

ratproxy (1.58+dfsg-1) unstable; urgency=low

  [ Iustin Pop ]
  * New Upstream Version
  * Removed Patrick from uploaders (per his request)
  * Update standards version to 3.8.2 (no changes needed)

  [ Guido Trotter ]
  * Set Dm-Upload-Allowed: yes

 -- Iustin Pop <iusty@k1024.org>  Tue, 28 Jul 2009 20:46:56 +0200

ratproxy (1.57+dfsg-1) unstable; urgency=low

  * New upstream release
  * Document how to use flare (the flash decompiler) in README.Debian,
    and patch the source to execute it only from path instead of first
    trying the current directory

 -- Iustin Pop <iusty@k1024.org>  Thu, 23 Apr 2009 00:01:34 +0200

ratproxy (1.56+dfsg-1) unstable; urgency=low

  * New upstream release (ITP was filled long time ago)
  * Add manpages for the two binaries
  * Standard version 3.8.1 (no changes)

 -- Iustin Pop <iusty@k1024.org>  Fri, 10 Apr 2009 13:17:00 +0200

ratproxy (1.51+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #489278)
  * Repack upstream tarball to remove flare-dist which is closed-source

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Sat, 05 Jul 2008 14:55:23 +0200

=== debian/control ===
Source: ratproxy
Section: web
Priority: extra
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 5), libssl-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/ratproxy/
Vcs-Browser: http://git.debian.org/?p=collab-maint/ratproxy.git
Vcs-Git: git://git.debian.org/git/collab-maint/ratproxy.git

Package: ratproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: passive web application security assessment tool
 A semi-automated, largely passive web application security audit tool,
 optimized for an accurate and sensitive detection, and automatic
 annotation, of potential problems and security-relevant design patterns
 based on the observation of existing, user-initiated traffic in complex
 web 2.0 environments.
 .
 Detects and prioritizes broad classes of security problems, such as
 dynamic cross-site trust model considerations, script inclusion issues,
 content serving problems, insufficient XSRF and XSS defenses, and much
 more.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

INSTDIR=$(CURDIR)/debian/ratproxy

get-orig-source:
	set -ex; tempdir=$$(mktemp -d) && targetdir=$$(cd ..; pwd) && \
        version=$$(uscan --no-download --dehs | \
                sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p') && \
                uscan --destdir $${tempdir} --force-download && \
                cd $${tempdir} && tar xzf ratproxy_$${version}.orig.tar.gz && \
                mv ratproxy ratproxy-$${version}.orig && \
                rm -rf ratproxy-$${version}.orig/flare-dist \
				  ratproxy-$${version}.orig/flare && \
                GZIP="--best --rsyncable" tar czf $$targetdir/ratproxy_$${version}+dfsg.orig.tar.gz ratproxy-$${version}.orig && \
                rm -rf $${tempdir}

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/ratproxy.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/ratproxy install
	install -m 0755 ratproxy \
	    $(INSTDIR)/usr/bin/ratproxy
	install -m 0755 ratproxy-report.sh \
	    $(INSTDIR)/usr/bin/ratproxy-report
	install -m 0644 ratproxy-back.png \
	    $(INSTDIR)/usr/share/images/ratproxy/ratproxy-back.png
	install -m 0644 messages.list \
	    $(INSTDIR)/usr/share/ratproxy/messages.list
	install -m 0644 keyfile.pem \
	    $(INSTDIR)/usr/share/ratproxy/keyfile.pem

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://code.google.com/p/ratproxy/downloads/list http://ratproxy.googlecode.com/files/ratproxy-(.*).tar.gz
